/* Copyright (c) 2011-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef NEWTOURNAMENTDIALOG_H
#define NEWTOURNAMENTDIALOG_H

// Local includes
#include "shared/FileDialog.h"

// Local classes
class SharedObjects;
class Settings;
class TournamentSettings;

// Qt classes
class QRadioButton;
class QSpinBox;
class QLabel;
class QCheckBox;

class NewTournamentDialog : public FileDialog
{
    Q_OBJECT

public:
    explicit NewTournamentDialog(QWidget *parent, SharedObjects *sharedObjects);

signals:
    void reopenLastOpenedDb(const QString &lastDbPath);

private slots:
    virtual void accept() override;
    void singlePlayerModeChanged(bool state);
    void noTableNumbersChanged(int state);

private: // Variables
    Settings *m_settings;
    TournamentSettings *m_tournamentSettings;

    QRadioButton *m_fixedPairs;
    QRadioButton *m_singlePlayers;
    QSpinBox *m_boogerScore;
    QSpinBox *m_boogersPerRound;
    QCheckBox *m_autoSelectPairs;
    QCheckBox *m_noTableNumbers;
    bool m_lastAutoSelectPairsState;

};

#endif // NEWTOURNAMENTDIALOG_H
