/* Copyright (c) 2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MARKERSPOPUP_H
#define MARKERSPOPUP_H

// Local includes
#include "shared/SelectionPopup.h"
#include "shared/Muckturnier.h"

class MarkersPopup : public SelectionPopup
{
    Q_OBJECT

public:
    explicit MarkersPopup(QWidget *parent);
    void show(int currentMarker, const QPoint &position = QPoint(-1, -1));
    void updateMarkers(const QVector<Muckturnier::Marker> &markers);
    int markerId() const;
    QString markerName() const;

private slots:
    void markerSelected(QPushButton *button);

private: // Variables
    int m_markerId;
    QString m_markerName;

};

#endif // MARKERSPOPUP_H
