/* Copyright (c) 2011-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef BOOGERSPINBOX_H
#define BOOGERSPINBOX_H

// Qt includes
#include <QSpinBox>

class BoogerSpinBox : public QSpinBox
{
    Q_OBJECT

public:
    explicit BoogerSpinBox(QWidget *parent = nullptr);
    void deselect();

signals:
    void returnPressed();
    void scorePopupRequested(BoogerSpinBox *spinBox);

protected:
    virtual void contextMenuEvent(QContextMenuEvent *) override;
    virtual void focusInEvent(QFocusEvent *event) override;

};

#endif // BOOGERSPINBOX_H
