/* Copyright (c) 2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef TABLECOMBOBOX_H
#define TABLECOMBOBOX_H

// Local includes
#include "NumbersComboBox.h"

// Qt includes
#include <QListView>
#include <QStandardItemModel>

// Local classes
class TableLineEdit;

// Qt classes
class QLineEdit;
class QIntValidator;

class TableComboBox : public NumbersComboBox
{
    Q_OBJECT

public:
    explicit TableComboBox(QWidget *parent = nullptr);
    void clear();
    void addItem(const QString &text, const QVariant &userData);
    void setCurrentNumber(int number);
    bool inputOkay() const;

signals:
    void checkSavePossible();

private slots:
    void lineEditTextChanged(const QString &text);
    void tableSelected();

private: // Variables
    TableLineEdit *m_lineEdit;
    QIntValidator *m_validator;
    bool m_inputOkay = true;

};

#endif // TABLECOMBOBOX_H
