/* Copyright (c) 2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef ABSTRACTSETTINGSPAGE_H
#define ABSTRACTSETTINGSPAGE_H

// Qt includes
#include <QWidget>

// Qt classes
class QVBoxLayout;

class AbstractSettingsPage : public QWidget
{
    Q_OBJECT

public:
    QString pageTitle() const;
    virtual void saveSettings() = 0;

protected:
    explicit AbstractSettingsPage(QWidget *parent, const QString &pageTitle);
    QVBoxLayout *layout() const;

private: // Variables
    const QString m_pageTitle;
    QVBoxLayout *m_layout;

};

#endif // ABSTRACTSETTINGSPAGE_H
