/* Copyright (c) 2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef FILENAMETEMPLATEPAGE_H
#define FILENAMETEMPLATEPAGE_H

// Local includes
#include "AbstractSettingsPage.h"

// Local classes
class Settings;

// Qt classes
class QLineEdit;
class QLabel;

class FileNameTemplatePage : public AbstractSettingsPage
{
    Q_OBJECT

public:
    explicit FileNameTemplatePage(QWidget *parent, Settings *settings);
    virtual void saveSettings() override;

private slots:
    void updateParsedFileName(const QString &text);
    void showFileNameTemplateInfo(const QString &);
    void restoreTemplate();

private: // Variables
    Settings *m_settings;
    QLineEdit *m_template;
    QLabel *m_parsedFileName;

};

#endif // FILENAMETEMPLATEPAGE_H
