/* Copyright (c) 2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

// Local includes
#include "shared/TitleDialog.h"

// Local classes
class SharedObjects;

// Qt classes
class QListWidget;
class QStackedWidget;
class QListWidgetItem;

class SettingsDialog : public TitleDialog
{
    Q_OBJECT

public:
    explicit SettingsDialog(QWidget *parent, SharedObjects *sharedObjects);

protected slots:
    virtual void accept() override;

private slots:
    void changePage(QListWidgetItem *item, QListWidgetItem *);

private: // Variables
    QListWidget *m_pagesSelection;
    QStackedWidget *m_pages;

};

#endif // SETTINGSDIALOG_H
