/* Copyright (c) 2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef TOURNAMENTTEMPPLATEPAGE_H
#define TOURNAMENTTEMPPLATEPAGE_H

// Local includes

#include "AbstractSettingsPage.h"

#include "shared/Settings.h"

// Local classes
class SharedObjects;
class Database;
class TournamentSettings;

// Qt classes
class QTableWidget;
class QTableWidgetItem;

class TournamentTemplatePage : public AbstractSettingsPage
{
    Q_OBJECT

public:
    explicit TournamentTemplatePage(QWidget *parent, SharedObjects *sharedObjects);
    virtual void saveSettings() override;

private slots:
    void restoreTemplate();
    void adoptCurrentSettings();

private: // Functions
    void updateTemplateDisplay();

private: // Variables
    Database *m_db;
    Settings *m_settings;
    TournamentSettings *m_tournamentSettings;
    Settings::TournamentTemplate m_template;

    QTableWidget *m_templateDisplay;

    Qt::ItemFlags m_enabledFlags;
    Qt::ItemFlags m_disabledFlags;

    QTableWidgetItem *m_tournamentMode;
    QTableWidgetItem *m_boogerScore;
    QTableWidgetItem *m_boogersPerRound;
    QTableWidgetItem *m_autoSelectPairsLabel;
    QTableWidgetItem *m_autoSelectPairs;
    QTableWidgetItem *m_noTableNumbers;

};

#endif // TOURNAMENTTEMPPLATEPAGE_H
