/* Copyright (c) 2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef BACKUPENGINE_H
#define BACKUPENGINE_H

// Qt includes
#include <QObject>
#include <QDateTime>

class BackupEngine : public QObject
{
    Q_OBJECT

public:
    explicit BackupEngine(const QString &fileName);
    void setFileName(const QString &fileName);
    bool createBackup(int version);
    bool createBackup();
    bool createBackup(const QString &suffix);
    const QString &path() const;
    const QString &backupFile() const;
    QString messageDate() const;
    const QString &baseName() const;
    const QString &originalBaseName() const;
    QString originalFileName() const;

private: // Variables
    QString m_originalFile;
    QString m_path;
    QString m_baseName;
    QString m_originalBaseName;
    QDateTime m_backupTime;
    QString m_backupFile;

};

#endif // BACKUPENGINE_H
