/* Copyright (c) 2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef STRUCTHELPER_H
#define STRUCTHELPER_H

// Local includes
#include "Muckturnier.h"
#include "PlayersPageColumns.h"

// Qt classes
class QJsonObject;
class QJsonArray;
class QString;

namespace JsonHelper
{

QString jsonObjectToString(const QJsonObject &json);
QString jsonArrayToString(const QJsonArray &json);
QJsonObject jsonObjectFromString(const QString &data);
QJsonArray jsonArrayFromString(const QString &data);

QString singlesManagementToString(const Muckturnier::SinglesManagement &data);
QJsonObject singlesManagementToJson(const Muckturnier::SinglesManagement &data);
Muckturnier::SinglesManagement singlesManagementFromString(const QString &data);
Muckturnier::SinglesManagement singlesManagementFromJson(const QJsonObject &jsonObject);

QString playersPageColumnsToString(const QHash<PlayersPageColumns::Column, bool> &visible);
QJsonObject playersPageColumnsToJson(const QHash<PlayersPageColumns::Column, bool> &visible);
QHash<PlayersPageColumns::Column, bool> playersPageColumnsFromString(const QString &data);
QHash<PlayersPageColumns::Column, bool> playersPageColumnsFromJson(const QJsonObject &jsonObject);

}

#endif // STRUCTHELPER_H
