/* Copyright (c) 2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef PLAYERSPAGECOLUMNS_H
#define PLAYERSPAGECOLUMNS_H

#include <QVector>
#include <QHash>

namespace PlayersPageColumns
{

enum Column {
    Name,
    Mark,
    Assignment,
    Marker
};

const QVector<Column> ALL_COLUMNS {
    Column::Mark,
    Column::Assignment,
    Column::Marker
};

const QHash<Column, const char *> CHECKBOX_TEXT {
    { Column::Mark,       "Markieren" },
    { Column::Assignment, "Auslosung" },
    { Column::Marker,     "Markierung" }
};

const QHash<Column, QString> COLUMN_ID {
    { Column::Mark,       QStringLiteral("mark") },
    { Column::Assignment, QStringLiteral("assignment") },
    { Column::Marker,     QStringLiteral("marker") }
};

const QHash<Column, bool> DEFAULT_VISIBILITY {
    { Column::Mark,       true },
    { Column::Assignment, false },
    { Column::Marker,     false }
};

}

#endif // PLAYERSPAGECOLUMNS_H
