/* Copyright (c) 2018 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef RESOURCEFINDER_H
#define RESOURCEFINDER_H

// Qt includes
#include <QObject>
#include <QHash>
#include <QVector>

// Local classes
class StringTools;

class ResourceFinder : public QObject
{
    Q_OBJECT

public:
    explicit ResourceFinder(QObject *parent, StringTools *stringTools);
    QString find(const QString &fileName);

private: // Variables
    QVector<QString> m_possibleLocations;
    QHash<QString, QString> m_path;

};

#endif // RESOURCEFINDER_H
