/* Copyright (c) 2011-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef TABLEDELEGATE_H
#define TABLEDELEGATE_H

// Qt includes
#include <QStyledItemDelegate>
#include <QPixmap>

// Qt classes
class QPainter;

class TableDelegate : public QStyledItemDelegate
{
    Q_OBJECT

public:
    enum HighlightMode {
        AllRows,
        EvenRows,
        Custom
    };

    enum Display {
        DrawBackground = Qt::UserRole,
        DrawTopLine
    };

    explicit TableDelegate(QObject *parent, HighlightMode highlightMode = HighlightMode::AllRows);

protected:
    virtual void paint(QPainter *painter, const QStyleOptionViewItem &option,
                       const QModelIndex &index) const override;
    virtual void drawText(QPainter *painter, const QStyleOptionViewItem &option,
                          const QModelIndex &index) const;

private: // Variables
    HighlightMode m_highlightMode;
    QColor m_topLineColor;
    QPixmap m_highlightBackground;

};

#endif // TABLEDELEGATE_H
